<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.DOMException</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>DOMException Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>


Namespace: DOM<br />
<h2>Detailed Description</h2>

<p>DOM operations only raise exceptions in &amp;quot;exceptional&amp;quot;
circumstances, i.e., when an operation is impossible to perform
(either for logical reasons, because data is lost, or because the
implementation has become unstable). In general, DOM methods return
specific error values in ordinary processing situation, such as
out-of-bound errors when using NodeList .
</p>
<p>
Implementations may raise other exceptions under other
circumstances. For example, implementations may raise an
implementation-dependent exception if a null
argument is passed.
</p>
<p>
Some languages and object systems do not support the concept of
exceptions. For such systems, error conditions may be indicated
using native error reporting mechanisms. For some bindings, for
example, methods may return error codes similar to those listed in
the corresponding method descriptions.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj163354668">ExceptionCode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;INDEX_SIZE_ERR, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, WRONG_DOCUMENT_ERR, INVALID_CHARACTER_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, INUSE_ATTRIBUTE_ERR, INVALID_STATE_ERR, SYNTAX_ERR, INVALID_MODIFICATION_ERR, NAMESPACE_ERR, INVALID_ACCESS_ERR, VALIDATION_ERR, TYPE_MISMATCH_ERR&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var179876812">code</a></td></tr><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj199652044">__init__</a> (self, long _code)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj199651436">__init__</a> (self, <a href="../khtml/DOM.DOMException.html">DOM.DOMException</a> other)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj199652044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>_code</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj199651436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMException.html">DOM.DOMException</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><hr><h2>Attribute Documentation</h2><a class="anchor" name="var179876812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">long code</td>
</tr>
</table>
</div>
<div class="memdoc"><p>An integer indicating the type of error generated.
</p></div></div><p><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj163354668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ExceptionCode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>An integer indicating the type of error generated.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>INDEX_SIZE_ERR</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>DOMSTRING_SIZE_ERR</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>HIERARCHY_REQUEST_ERR</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>WRONG_DOCUMENT_ERR</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>INVALID_CHARACTER_ERR</em>&nbsp;=&nbsp;5</td><td><tr><td valign="top"><em>NO_DATA_ALLOWED_ERR</em>&nbsp;=&nbsp;6</td><td><tr><td valign="top"><em>NO_MODIFICATION_ALLOWED_ERR</em>&nbsp;=&nbsp;7</td><td><tr><td valign="top"><em>NOT_FOUND_ERR</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>NOT_SUPPORTED_ERR</em>&nbsp;=&nbsp;9</td><td><tr><td valign="top"><em>INUSE_ATTRIBUTE_ERR</em>&nbsp;=&nbsp;10</td><td><tr><td valign="top"><em>INVALID_STATE_ERR</em>&nbsp;=&nbsp;11</td><td><tr><td valign="top"><em>SYNTAX_ERR</em>&nbsp;=&nbsp;12</td><td><tr><td valign="top"><em>INVALID_MODIFICATION_ERR</em>&nbsp;=&nbsp;13</td><td><tr><td valign="top"><em>NAMESPACE_ERR</em>&nbsp;=&nbsp;14</td><td><tr><td valign="top"><em>INVALID_ACCESS_ERR</em>&nbsp;=&nbsp;15</td><td><tr><td valign="top"><em>VALIDATION_ERR</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>TYPE_MISMATCH_ERR</em>&nbsp;=&nbsp;17</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
